<div *ngIf="loading">
  <app-loader></app-loader>
</div>
<div class="animated fadeIn">
  <div class="row">
    <div class="col-lg-12">
      <div class="card card-accent-success">
        <div class="card-header">
          <h4 class="card-title mb-0 font-weight-bold">DAFTAR ANGGOTA</h4>
        </div>
        <div class="card-body">
          <div class="row">
            <div class="col-sm-9 form-inline">
              <label class="col-form-label mr-1">Menunjukkan </label>
              <select (change)="doGetListMember()" class="form-control" [(ngModel)]="itemsPerPage">
                <option value="10">10</option>
                <option value="25">25</option>
                <option value="50">50</option>
              </select>
              <label class="ml-1"> Data</label>
            </div>
            <div class="col-sm-3" *ngIf="dataUser.role!=='AGT'">
              <button (click)="backClicked()" class="pull-right btn btn-success font-weight-bold btn-sm"><i class="fa fa-arrow-left"></i> Kembali</button>
            </div>
          </div><br>
          <div class="card card-accent-success">
            <div class="card-body">
              <div class="row">
                <div class="col-sm-4" *ngIf="dataUser.role!=='HRD'">
                <label class="col-form-label">Perusahaan </label>
                  <app-company-select *ngIf="dataUser.role!=='HRD'" [options]="listPerusahaan" (someChildEvent)="selectedPerusahaan=$event"></app-company-select>
                </div>
                <div class="col-sm-4">
                  <div class="controls">
                    <label class="col-form-label">Pencarian</label>
                    <input id="appendedInputButton" (keyup.enter)="doGetListMember()" [(ngModel)]="filterText" class="form-control" size="16" type="text" placeholder="Pencarian berdasarkan Nama / Nomor NIK...">
                    <!--<div class="input-group">-->
                      <!--<input id="appendedInputButton" [(ngModel)]="filterText" class="form-control" size="16" type="text" placeholder="Pencarian berdasarkan Nama / Nomor NIK...">-->
                      <!--<span class="input-group-append">-->
                          <!--<button class="btn btn-success" type="button" (click)="doGetListMember()"><i class="fa fa-search"></i> Cari </button>-->
                        <!--</span>-->
                    <!--</div>-->
                  </div>
                </div>
                <div class="col-sm-2" style="margin-top: 34px">
                  <button class="btn btn-success"  (click)="doGetListMember()"><i class="fa fa-search"></i> Cari</button>
                </div>
              </div>
            </div>
          </div><br>
          <!--<div *ngIf="listAnggota | filter: filterText as list">-->
          <table class="table table-bordered table-striped table-sm table-responsive-sm">
            <thead>
            <tr class="font-xs">
              <th class="text-center align-middle">#</th>
              <th class="text-center align-middle" (click)="sort('nomorAnggota')">No. Anggota
                <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'nomorAnggota',
                                    'fa-sort-asc': (column == 'nomorAnggota' && isDesc),
                                    'fa-sort-desc': (column == 'nomorAnggota' && !isDesc) }"
                   aria-hidden="true">
                </i>
              </th>
              <th class="text-center align-middle" (click)="sort('nomorNik')">NIK
                <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'nomorNik',
                                    'fa-sort-asc': (column == 'nomorNik' && isDesc),
                                    'fa-sort-desc': (column == 'nomorNik' && !isDesc) }"
                   aria-hidden="true">
                </i>
              </th>
              <th class="text-center align-middle" (click)="sort('nama')">Nama
                <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'nama',
                                    'fa-sort-asc': (column == 'nama' && isDesc),
                                    'fa-sort-desc': (column == 'nama' && !isDesc) }"
                   aria-hidden="true">
                </i>
              </th>
              <th class="text-center align-middle" (click)="sort('namaPerusahaan')">Perusahaan
                <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'namaPerusahaan',
                                    'fa-sort-asc': (column == 'namaPerusahaan' && isDesc),
                                    'fa-sort-desc': (column == 'namaPerusahaan' && !isDesc) }"
                   aria-hidden="true">
                </i>
              </th>
              <th class="text-center align-middle" (click)="sort('namaKonfederasi')">Konfederasi
                <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'namaKonfederasi',
                                    'fa-sort-asc': (column == 'namaKonfederasi' && isDesc),
                                    'fa-sort-desc': (column == 'namaKonfederasi' && !isDesc) }"
                   aria-hidden="true">
                </i>
              </th>
              <th class="text-center align-middle" (click)="sort('lokasiPenempatan')">Proyek
                <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'lokasiPenempatan',
                                    'fa-sort-asc': (column == 'lokasiPenempatan' && isDesc),
                                    'fa-sort-desc': (column == 'lokasiPenempatan' && !isDesc) }"
                   aria-hidden="true">
                </i>
              </th>
              <th class="text-center align-middle" (click)="sort('role')">Simpanan
                <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'role',
                                    'fa-sort-asc': (column == 'role' && isDesc),
                                    'fa-sort-desc': (column == 'role' && !isDesc) }"
                   aria-hidden="true">
                </i>
              </th>
              <th class="text-center align-middle" (click)="sort('role')">Pinjaman
                <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'role',
                                    'fa-sort-asc': (column == 'role' && isDesc),
                                    'fa-sort-desc': (column == 'role' && !isDesc) }"
                   aria-hidden="true">
                </i>
              </th>
              <th class="text-center align-middle" (click)="sort('statusAnggota')">Status
                <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'statusAnggota',
                                    'fa-sort-asc': (column == 'statusAnggota' && isDesc),
                                    'fa-sort-desc': (column == 'statusAnggota' && !isDesc) }"
                   aria-hidden="true">
                </i>
              </th>
            </tr>
            </thead>
            <tbody *ngIf="!listAnggota || listAnggota.length===0">
            <tr>
              <td colspan="10" class="text-center">Tidak Ada Data</td>
            </tr>
            </tbody>
            <tbody>
            <tr class="text-center font-xs" *ngFor="let data of listAnggota | orderBy: {property: column, direction: direction}; let i=index;">
              <td>{{ (currentPage - 1) * itemsPerPage + (i + 1) }}</td>
              <td>{{ data.nomorAnggota }}</td>
              <td>{{ data.nomorNik }}</td>
              <td>{{ data.nama }}</td>
              <td>{{ data.namaPerusahaan }}</td>
              <td>{{ data.namaKonfederasi }}</td>
              <td>{{ data.lokasiPenempatan }}</td>
              <td><a href="javascript:void" title="List Simpanan Anggota" (click)="gotoSimpanan(data.nomorNik, data.nama, data.kodePerusahaan, data.nomorAnggota)">View</a></td>
              <td><a href="javascript:void" title="List Pinjaman Anggota" (click)="gotoPinjaman(data.nomorNik, data.nama, data.kodePerusahaan, data.nomorAnggota)">View</a></td>
              <td>{{ data.statusAnggota | statusAnggota }}</td>
            </tr>
            </tbody>
          </table>
          <!--<p class="text-muted font-italic pull-left">Menampilkan {{(currentPage - 1)*itemsPerPage + 1}} hingga {{currentPage*itemsPerPage}} dari {{totalItems}}</p>-->
          <div class="pull-right mt-auto">
            <pagination *ngIf="listAnggota.length !== 0"  [totalItems]="totalItems" [maxSize]="5" [rotate]="true" [boundaryLinks]="true"
                        [(ngModel)]="currentPage" [itemsPerPage]="itemsPerPage" (pageChanged)="pageChanged($event)">
            </pagination>
          </div>
          <!--</div>-->
        </div>
      </div>
    </div>
  </div>
</div>
